/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 14:32:37.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

import java.io.Serializable;

/**
 * 用户信息
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
public class User implements Serializable {
    private static final long serialVersionUID = 8766713125414955078L;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户类型
     */
    private String userType;
    /**
     * 用户名
     */
    private String displayName;
    /**
     * 身份证号
     */
    private String identityNumber;
    /**
     * 学号
     */
    private String studentCode;
    /**
     * 学生ID
     */
    private String studentId;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 顶级机构ID
     */
    private Long rootOrgId;
    /**
     * 顶级机构(学校)名称
     */
    private String rootOrgName;
    /**
     * 学习中心ID
     */
    private Long orgId;
    /**
     * 学习中心名称
     */
    private String orgName;
    /**
     * 全局唯一标识符
     */
    private String key;
    /**
     * 鉴权token
     */
    private String token;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getRootOrgName() {
        return rootOrgName;
    }

    public void setRootOrgName(String rootOrgName) {
        this.rootOrgName = rootOrgName;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

}