/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:15:16.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.DeviceRecord;
import cn.com.qmth.examcloud.app.model.Result;
import org.springframework.data.domain.Page;

/**
 * 设备访问记录Service
 *
 * @author: fengdesheng
 * @since: 2018/7/31
 */
public interface DeviceRecordService {

    Result<Page<DeviceRecord>> getDeviceRecordList(DeviceRecord params, Integer pageNo, Integer pageSize);

    void addDeviceRecord(DeviceRecord deviceRecord);

}